Welcome to AMD OS X

Why not register now to gain full access.

Not sure if your system will work? Ask for help with a compatibility check.
User avatar
by: ChiForce
#45426
Hey guys, wondering what is the latest version of Sierra, High Sierra, and Mojave that my Threadripper would be compatible to run?

Also if you are willing to help I have tried so many by now with no luck, maybe you can check out my post here and offer help?viewtopic.php?f=5&t=6034

Thanks!

 Advertising

just had a popup stating that update 10.13.6 is re[…]

VMware and Mojave?

HI is it possible to run macOS mojave in VMware on[…]

Please Help

In your clover config.plist you'll want to add a[…]

First of all I wanted to say thank you for the gu[…]